Bug 25921 - netstat: documented option doesn't work
Summary: netstat: documented option doesn't work
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: net-tools   
(Show other bugs)
Version: 7.1
Hardware: i386
OS: Linux
medium
low
Target Milestone: ---
Assignee: Crutcher Dunnavant
QA Contact: David Lawrence
URL:
Whiteboard: Florence Gold
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-02-03 22:58 UTC by Alexander L. Belikoff
Modified: 2007-04-18 16:31 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-06 16:38:13 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Alexander L. Belikoff 2001-02-03 22:58:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.76 [en] (X11; U; Linux 2.2.16-22 i686; Nav)


netstat manpage describes an option -L (sorthand for --listening) as the
one showing  the listening sockets. While --listening does work as
expected, -L doesn't. Instead,
netstat comlains about an unknown option

Reproducible: Always
Steps to Reproduce:
1. netstat --listening                 # works
2. netstat -L                             # DOESN'T WORK

	

Actual Results:  netstat: invalid option -- L


Expected Results:  Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address           Foreign Address        
State      
...

Comment 1 Glen Foster 2001-02-05 22:35:40 UTC
We (Red Hat) should really try to fix this before next release.

Comment 2 Crutcher Dunnavant 2001-02-06 16:38:09 UTC
This is a man page typo, it should be '-l', not '-L'. Will fix.

Comment 3 Crutcher Dunnavant 2001-02-06 20:44:53 UTC
fixed.


Note You need to log in before you can comment on or make changes to this bug.